package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag720;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT720Creator;

/**
 * @author wuzhe
 * @date 2023/2/28
 */
public class Tag44BCreator extends AbsTagCreate {

     private MT720Creator mt720Creator;

    public Tag44BCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt720Creator= (MT720Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag44BValue = mt720Creator.getPlaceofFinalDestination();
        mt720Creator.set("44B", tag44BValue);
    }
}
